Bug 465557 - Modify gnome-python2 requirement
Modify gnome-python2 requirement
Status: NEW
Product: Fedora
Classification: Fedora
Component: scribes (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 456122
  Show dependency treegraph
 
Reported: 2008-10-03 17:07 EDT by Matthew Barnes
Modified: 2011-08-02 14:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2008-10-03 17:07:06 EDT
As of gnome-python2-2.22.1-3.fc10, the Python bindings for libgnome and
libgnomeui have moved to a new subpackage named gnome-python2-gnome.

Consequently, this package _may_ need to change its gnome-python2 requirement
to gnome-python2-gnome.

The reason for this change is because libgnome and libgnomeui pull in a large
number of dependencies that some of the gnome-python2 subpackages -- such as
gnome-python2-gnomevfs -- don't need, but subpackages must still require their
parent package.  Splitting the libgnome[ui] bindings into a subpackage allows
the other subpackages to avoid pulling in lots of unnecessary libgnome[ui]
dependencies.  See bug #456122 for more details.
Comment 1 Peter Gordon 2009-01-19 02:11:58 EST
Eep, and apologies for the *ahem* slightly tardy reply to this bug. :)

I perused through the source code a bit, and it does in fact use the gnome/gnome.ui modules for some of its core functionality. 

I'll get this fixed Very Soon(tm). Thanks for the bug report!
Comment 2 Fedora Admin XMLRPC Client 2011-06-26 20:53:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Peter Gordon 2011-08-02 14:10:27 EDT
I am changing the owner of this bug to the default orphan alias, as I no longer maintain Scribes.

Note You need to log in before you can comment on or make changes to this bug.